# pnmtoxwd

Updated: 24 September 1991
Table Of Contents

## NAME

pnmtoxwd - convert a PNM into an X11 window dump

## SYNOPSIS

pnmtoxwd [-pseudodepth n] [-directcolor] [pnmfile]

## DESCRIPTION

This program is part of Netpbm.

pnmtoxwd reads a PNM image as input and produces an X11 window dump as output. You can display this output with xwud.

Normally, pnmtoxwd produces a StaticGray dump file for PBM and PGM files. For PPM, it writes a PseudoColor dump file if there are up to 256 colors in the input, and a DirectColor dump file otherwise.

In an X11 window dump file, various integers can be represented in either big endian (most significant byte first) or little endian code. Those generated by pnmtoxwd are always big endian.

## OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see Common Options), pnmtoxwd recognizes the following command line options:

-directcolor

  Output in DirectColor format.

-pseudodepth 1-16

  Set the depth of PseudoColor dump in bits. Values between 1 to 16 are accepted. Default is 8 (for a maximum of 256 colors.)

## SEE ALSO

xwdtopnm, pnm, xwud

## AUTHOR

Copyright (C) 1989, 1991 by Jef Poskanzer.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- AUTHOR